# Update a Delivery Address Update some simple fields on the specified delivery address. Endpoint: PUT /v2/customer/delivery-addresses/{deliveryAddressId} Version: v2 Security: ApiKeySecurityScheme, CustomerAppScopeSecurityScheme, CustomerTokenSecurityScheme ## Header parameters: - `x-md-api-version` (string, required) Enum: "4" - `x-bite-org-id` (string, required) The org ID you are working with. - `x-bite-order-channel` (string, required) The order channel you are working with. Enum: "catering", "flash", "kiosk", "linebuster", "web" ## Path parameters: - `deliveryAddressId` (string, required) The ID of the delivery address that's being worked on. ## Request fields (application/json): - `line1` (string) - `line2` (string) - `city` (string) - `state` (string) - `postalCode` (string) - `phoneNumber` (string) - `deliveryInstructions` (string) - `nickname` (string) The nickname for the saved delivery address - `isDefault` (boolean) If this value is set to true, then the previously default delivery address on this customer's account will no longer be default. ## Response 200 fields (application/json): - `deliveryAddress` (object, required) - `deliveryAddress.line1` (string, required) - `deliveryAddress.line2` (string) - `deliveryAddress.city` (string, required) - `deliveryAddress.state` (string) - `deliveryAddress.postalCode` (string, required) - `deliveryAddress.phoneNumber` (string, required) - `deliveryAddress.deliveryInstructions` (string) - `deliveryAddress.nickname` (string) The nickname for the saved delivery address - `deliveryAddress.isDefault` (boolean) If this value is true, then no other delivery address associated with this customer account will be marked as isDefault=true. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields